"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.post = exports.get = void 0;
const axios_1 = __importDefault(require("axios"));
function get(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const config = {
            method: 'get',
            url: options.url,
            headers: {
                'Content-Type': 'application/json',
            },
        };
        const response = yield (0, axios_1.default)(config);
        return yield response.data;
    });
}
exports.get = get;
function post(options) {
    return __awaiter(this, void 0, void 0, function* () {
        const data = JSON.stringify(options.data);
        const config = {
            method: 'post',
            url: options.url,
            headers: {
                'Content-Type': 'application/json',
            },
            data,
        };
        const response = yield (0, axios_1.default)(config);
        return yield response.data;
    });
}
exports.post = post;
