"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_plugin_1 = __importDefault(require("@appium/base-plugin"));
const dragAndDrop_1 = __importDefault(require("./gestures/dragAndDrop"));
const swipe_1 = __importDefault(require("./gestures/swipe"));
const SOURCE_URL_RE = new RegExp('/session/[^/]+/plugin/actions/');
class GesturesPlugin extends base_plugin_1.default {
    constructor(pluginName) {
        super(pluginName);
    }
    shouldAvoidProxy(method, route, body) {
        this.body = body;
        return SOURCE_URL_RE.test(route);
    }
    swipe(next, driver) {
        return __awaiter(this, void 0, void 0, function* () {
            const builder = (0, swipe_1.default)(this.body, driver);
            yield builder.horizontal;
        });
    }
    dragAndDrop(next, driver) {
        return __awaiter(this, void 0, void 0, function* () {
            const builder = (0, dragAndDrop_1.default)(this.body, driver);
            yield builder.dragAndDrop;
        });
    }
}
exports.default = GesturesPlugin;
GesturesPlugin.newMethodMap = {
    '/session/:sessionId/plugin/actions/dragAndDrop': {
        POST: {
            command: 'dragAndDrop',
            payloadParams: { required: ['sourceId', 'destinationId'] },
        },
    },
    '/session/:sessionId/plugin/actions/swipe': {
        POST: {
            command: 'swipe',
            payloadParams: { required: ['elementId', 'percentage'] },
        },
    },
};
